Bug 798625 - Make sure katello-agent communicates with ssl
Make sure katello-agent communicates with ssl
Status: CLOSED UPSTREAM
Product: Katello
Classification: Community
Component: Installer (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Martin Bacovsky
Katello QA List
: Triaged
Depends On: 761314 789954
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 07:18 EST by Martin Bacovsky
Modified: 2012-07-17 09:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 761314
Environment:
Last Closed: 2012-07-17 09:09:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Bacovsky 2012-02-29 07:18:38 EST
+++ This bug was initially created as a clone of Bug #761314 +++

currently /etc/gofer/plugins/katelloplugin.conf has

[messaging]
url=tcp://$(host):5672

which we need to get working with:

[messaging]
url=ssl://$(host):5674

--- Additional comment from lzap@redhat.com on 2012-02-07 07:18:11 EST ---

See also: https://bugzilla.redhat.com/show_bug.cgi?id=754728

--- Additional comment from lzap@redhat.com on 2012-02-27 07:24:18 EST ---

44a8068 761314 - Make sure katello-agent communicates with ssl

--- Additional comment from lzap@redhat.com on 2012-02-27 07:33:19 EST ---

9aa917b 761314 - Make sure katello-agent communicates with ssl

--- Additional comment from gkhachik@redhat.com on 2012-02-28 07:51:06 EST ---

# REOPEN

Need to reopen the issue as Katello installer fails for me on latest RHEL6.2:
---
err: /Stage[main]/Qpid::Service/Service[qpidd]/ensure: change from stopped to running failed: Could not start Service[qpidd]: Execution of '/sbin/service qpidd start' returned 1:  at /usr/share/katello/install/puppet/modules/qpid/manifests/service.pp:5
err: /Stage[main]/Qpid::Service/Service[qpidd]: Failed to call refresh: Could not restart Service[qpidd]: Execution of '/sbin/service qpidd restart' returned 1:  at /usr/share/katello/install/puppet/modules/qpid/manifests/service.pp:5
---

Attached are the logs:

checked against:
---
qpid-cpp-server-0.12-6.el6.x86_64
pulp-1.0.0-2.el6.noarch
candlepin-0.5.20-1.el6.noarch
katello-common-0.2.3-1.el6.noarch
katello-selinux-0.2.2-1.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-repos-testing-0.2.1-1.el6.noarch
katello-cli-0.2.2-1.el6.noarch
katello-glue-candlepin-0.2.3-1.el6.noarch
katello-all-0.2.3-1.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-0.2.2-1.el6.noarch
katello-glue-pulp-0.2.3-1.el6.noarch
katello-configure-0.2.4-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.1.2-1.el6.noarch
katello-glue-foreman-0.2.3-1.el6.noarch
katello-0.2.3-1.el6.noarch
katello-repos-0.2.1-1.el6.noarch

--- Additional comment from gkhachik@redhat.com on 2012-02-28 07:51:43 EST ---

Created attachment 566301 [details]
logs of Katello

--- Additional comment from lzap@redhat.com on 2012-02-28 08:20:29 EST ---

httpd[10900]: segfault at 30 ip 00007fcd11476f67 sp 00007fffbf123790 error 4 in libapr-1.so.0.3.9[7fcd11463000+2b000]

Strange I have the very same distro and the same qpidd package (and version) and not seeing this error.

--- Additional comment from gkhachik@redhat.com on 2012-02-28 08:51:32 EST ---

i had diff. kernel and glibc (el6_2 specific) - so might be that is the reason.

doing now RHEL6.2 clean (no updates) install there. will report soon.

--- Additional comment from mbacovsk@redhat.com on 2012-02-29 05:58:05 EST ---

The issue on RHEL 6.2 is caused by broken NSS library. Fixed NSS is already available in brew and should land in stage soon.

https://brewweb.devel.redhat.com/buildinfo?buildID=200930

--- Additional comment from gkhachik@redhat.com on 2012-02-29 06:03:14 EST ---

acking with a hope to see that fixed soon ( testing now with provided nss packages).

--- Additional comment from gkhachik@redhat.com on 2012-02-29 06:39:20 EST ---

... and I confirm that it really fixes the issue.

---
nss-sysinit-3.13.1-7.el6_2.x86_64
nss-3.13.1-7.el6_2.x86_64
nss-tools-3.13.1-7.el6_2.x86_64
nss-util-3.13.1-3.el6_2.x86_64

katello-0.2.3-1.git.26.d29fc27.el6.noarch
katello-configure-0.2.5-1.git.3.c697080.el6.noarch
katello-all-0.2.3-1.git.26.d29fc27.el6.noarch

thanks much Martin for your investigations.
Comment 1 Martin Bacovsky 2012-02-29 10:37:26 EST
There were some commits following the original one with fixes of issues revealed during testing. Here is the list:

$ git log|grep -B4  761314|grep ^commit
commit c6970809e8b3c1ee8692035a37f53eed91c0ec14
commit 47949a79ed56dea6b3082e3382f2dd315bcd2968
commit b6aa40aa7a7693e2f6b1bb04c56a185b19e7eb38
commit 232a2492b7d852c2f2ea687e01f30037a1d5c430
commit 44a8068596ed11ce7d57d97d45e0651a19dc83e7
Comment 2 Bryan Kearney 2012-07-17 09:09:48 EDT
Moving all community bugs with fixes to closed.

Note You need to log in before you can comment on or make changes to this bug.